Cowdidocs

Look up contacts on Cowdi

Match the user's address-book phone numbers against Cowdi users in the acting organization. Only the numbers that belong to a Cowdi user are returned.

POST
/v1/user/payees/lookup

Request Body

application/json

Phone numbers from the user's address book to match against Cowdi users

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/payees/lookup" \  -H "Content-Type: application/json" \  -d '{    "mobile_numbers": [      "254712345678",      "254700000000"    ]  }'
[  {    "mobile_number": "+254712345678",    "user_tag": "@johnd123456",    "display_name": "John Doe"  }]
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}